"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMCallConv
	instanceVariableNames:''
	classVariableNames:'LLVMCCallConv LLVMFastCallConv LLVMColdCallConv
		LLVMWebKitJSCallConv LLVMAnyRegCallConv LLVMX86StdcallCallConv
		LLVMX86FastcallCallConv'
	poolDictionaries:''
	category:'LLVM-S-Core-Constants'
!

!LLVMCallConv class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMCallConv class methodsFor:'initialization'!

initialize

    LLVMCCallConv := 0.
    LLVMFastCallConv := 8.
    LLVMColdCallConv := 9.
    LLVMWebKitJSCallConv := 12.
    LLVMAnyRegCallConv := 13.
    LLVMX86StdcallCallConv := 64.
    LLVMX86FastcallCallConv := 65.
! !

!LLVMCallConv class methodsFor:'constants'!

LLVMAnyRegCallConv

    ^LLVMAnyRegCallConv
!

LLVMCCallConv

    ^LLVMCCallConv
!

LLVMColdCallConv

    ^LLVMColdCallConv
!

LLVMFastCallConv

    ^LLVMFastCallConv
!

LLVMWebKitJSCallConv

    ^LLVMWebKitJSCallConv
!

LLVMX86FastcallCallConv

    ^LLVMX86FastcallCallConv
!

LLVMX86StdcallCallConv

    ^LLVMX86StdcallCallConv
! !


LLVMCallConv initialize!
