"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

LLVMTypeSequential subclass:#LLVMTypeArray
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'LLVM-S-Core-Types'
!

!LLVMTypeArray class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMTypeArray methodsFor:'accessing'!

sizeInElements
    "Return the number of elements"
    ^ LLVM GetArrayLength: self

    "Created: / 13-08-2015 / 19:00:24 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMTypeArray methodsFor:'testing'!

isArrayType
    ^ true

    "Created: / 13-08-2015 / 16:50:48 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

