"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

LLVMTypeSequential subclass:#LLVMTypeVector
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'LLVM-S-Core-Types'
!

!LLVMTypeVector class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMTypeVector methodsFor:'accessing'!

sizeInElements
    "Return the number of elements"
    ^ LLVM GetVectorSize: self

    "Created: / 13-08-2015 / 19:00:24 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMTypeVector methodsFor:'testing'!

isVectorType
    ^ true

    "Created: / 13-08-2015 / 16:52:30 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMTypeVector class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

