/*
 * test_intrinsics.c
 *
 *  Created on: Aug 10, 2015
 *      Author: jv
 */

#include <stdio.h>
#include <llvm-c/Core.h>
#include <llvm-c-ext/Intrinsics.h>

int main(int argc, char** argv) {
	char* name = "llvm.returnaddress";
	LLVMTypeRef types[1];

	types[0] = LLVMInt32Type();

	LLVMModuleRef module = LLVMModuleCreateWithName(argv[0]);
	LLVMValueRef intrinsic_decl = LLVMGetIntrinsicByName(module, name, (sizeof(types) / sizeof(LLVMTypeRef)), types );

	LLVMDumpModule(module);
	LLVMDisposeModule(module);

	return 0;
}



