/*
 * DWARF.h
 *
 *  Created on: Aug 15, 2015
 *      Author: jv
 */

#ifndef INCLUDE_LLVM_C_EXT_DWARF_H_
#define INCLUDE_LLVM_C_EXT_DWARF_H_

/**
 * An enum  defining scalar (basic) type encoding for types
 * such as float, integers (signed/unsigned) and so on.
 *
 * \see LLVMDIBuilderCreateBasicType()
 */
enum LLVMDWARFEncoding {
#define HANDLE_DW_ATE(ID, NAME) LLVM_DW_ATE_##NAME = ID,
#include "llvm/Support/Dwarf.def"
	LLVM_DW_ATE_lo_user = 0x80,
	LLVM_DW_ATE_hi_user = 0xff
#undef HANDLE_DW_ATE
};

enum LLVMDWARFLamguage {
#define HANDLE_DW_LANG(ID, NAME) LLVM_DW_LANG_##NAME = ID,
#include "llvm/Support/Dwarf.def"
	LLVM_DW_LANG_lo_user = 0x8000,
	LLVM_DW_LANG_hi_user = 0xffff
#undef HANDLE_DW_LANG
};





#endif /* INCLUDE_LLVM_C_EXT_DWARF_H_ */
